# GraphContainer< State, HLabel, EdgeValue > Struct Template Reference

Inheritance diagram for GraphContainer< State, HLabel, EdgeValue >:
[legend]

## Detailed Description

### template<typename State, typename HLabel, typename EdgeValue>
struct vcsn::bmig::GraphContainer< State, HLabel, EdgeValue >

Actual graph structure.

Provides constant time access to specific data according the following keys:

- (src), get all transitions from a given state.
- (dst), get all transitions going to a given state.
- (src, label), get all transitions from a given state with a given label.
- (dst, label), get all transitions going to a given state with a given label.

See also:
  EdgeValue, update_label

Definition at line 130 of file graphcontainer.hh.